/* m-Power Styles for REST_MP */
.card, #content .search, div.signon, .reportKey, .warning, .success {
  margin-bottom: 10px;
  background-color: #efefef;
  border: 1px solid #ddd;
  color: rgba(0, 0, 0, 0.87);
  min-width: 200px; }
  .card .card-title, #content .search .card-title, div.signon .card-title, .reportKey .card-title, .warning .card-title, .success .card-title {
    padding: 0.5em;
    padding-bottom: 0;
    margin-bottom: 0.75rem;
    font-family: inherit;
    line-height: 1.1;
    color: inherit; }
  .card .card-block, #content .search .card-block, div.signon .card-block, .reportKey .card-block, .warning .card-block, .success .card-block {
    padding: 0.75rem 1.25rem;
    border-top: 1px solid #ddd;
    margin: -2px; }
    .card .card-block .card-title, #content .search .card-block .card-title, div.signon .card-block .card-title, .reportKey .card-block .card-title, .warning .card-block .card-title, .success .card-block .card-title {
      margin-top: 0; }
  .card .card-image-top, #content .search .card-image-top, div.signon .card-image-top, .reportKey .card-image-top, .warning .card-image-top, .success .card-image-top {
    margin-bottom: -2px;
    max-width: 100%;
    display: block; }
  .card .card-image-top-container, #content .search .card-image-top-container, div.signon .card-image-top-container, .reportKey .card-image-top-container, .warning .card-image-top-container, .success .card-image-top-container {
    position: relative; }
  .card .card-image-top-text, #content .search .card-image-top-text, div.signon .card-image-top-text, .reportKey .card-image-top-text, .warning .card-image-top-text, .success .card-image-top-text {
    position: absolute;
    bottom: 0;
    left: 0;
    color: #fff;
    font-weight: bold;
    padding: 0.75rem 1.25rem;
    text-shadow: 3px 0 3px rgba(0, 0, 0, 0.75);
    font-size: 1.5em; }
  .card .card-text:last-child, #content .search .card-text:last-child, div.signon .card-text:last-child, .reportKey .card-text:last-child, .warning .card-text:last-child, .success .card-text:last-child {
    margin-bottom: 0; }
  .card.card-block, #content .card-block.search, div.card-block.signon, .card-block.reportKey, .card-block.warning, .card-block.success {
    padding: 1.25rem; }

#content .search {
  display: inline-block;
  text-align: left; }
  #content .search select[name^="rls_"] {
    display: none; }
  #content .search label {
    display: inline-block; }
  #content .search .card-title {
    font-size: large;
    font-weight: bold; }
  #content .search .card-block div:not(:last-child) {
    margin-bottom: 0.75em; }
  #content .search .btn {
    margin-top: 0.25em; }
    #content .search .btn:not(:last-child) {
      margin-right: 0.25em; }

div.signon {
  display: block;
  width: 100%;
  max-width: 315px;
  padding: 1rem;
  margin: 0.5rem auto; }
  div.signon div.card-block {
    border: none; }
  div.signon label {
    display: block;
    padding-right: 5px;
    padding-bottom: 5px;
    font-weight: bold;
    text-align: left; }
  div.signon input, div.signon button {
    width: 100%; }
    div.signon input + a, div.signon button + a {
      display: inline-block;
      margin-top: 1rem; }

.reportKey {
  text-align: left;
  display: inline-block;
  padding: 3em 1em;
  position: relative; }
  .reportKey dl {
    margin-bottom: 0; }
  .reportKey:after {
    position: absolute;
    top: 1rem;
    left: 1rem;
    font-size: 0.75rem;
    font-weight: 700;
    color: #696969;
    text-transform: uppercase;
    letter-spacing: 1px;
    content: "Key"; }

.warning, .success {
  font-size: large;
  padding: 1.25rem 3rem;
  margin: 0 auto;
  position: relative;
 }
  .warning:before, .success:before {
    position: absolute;
    left: 0.5em;
    top: 50%;
    transform: translateY(-50%);
    margin-right: 0.5em;
    font-size: 1.5em;
    font-family: FontAwesome;
    line-height: 0.75;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale; }
  .warning > div, .success > div {
    -webkit-box-flex: 1;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto; }
  .warning > .close, .success > .close {
    position: absolute;
    right: 0.5em;
    top: 1.25rem;
    transform: translateY(-50%);
    opacity: 0.7;
    cursor: pointer;
    background-color: #fff;
    padding: 5px;
    line-height: 1;
    border-radius: 3px;
    border: 1px solid #A9A9A9;
    }

.warning {
  background: #FF9E9E;
  color: #2B2B2B; }
  .warning:before {
    content: "\f071"; }
  .warning.noJS {
    display: block;
    width: 100%; }
    @media only screen and (max-width: 760px) {
      .warning.noJS {
        margin-top: 2.2em;
        margin-bottom: -2.2em; } }
  .warning > strong {
    -ms-flex-item-align: baseline;
    align-self: baseline;
    -ms-flex-negative: 0;
    flex-shrink: 0; }

.success {
  background: #baeaba;
  color: #2B2B2B; }
  .success:before {
    content: "\f087"; }
